%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  http://download.eclipse.org/mylyn/archive/3.6.3/v20110608-1400/
%global qualifier           v20120319-0200

Name: eclipse-mylyn-docs
Summary: Eclipse Mylyn documentation tools
Version: 3.7.0
Release: 1%{?dist}
License: EPL
URL: http://www.eclipse.org/mylyn/docs/

Source0: http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.docs.git/snapshot/R_3_7_0.tar.bz2
Patch0: %{name}-jsoupimport.patch

BuildArch: noarch

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-platform >= 1:3.8.0
BuildRequires: eclipse-pde >= 1:3.8.0
BuildRequires: eclipse-mylyn >= 3.7.0
BuildRequires: eclipse-mylyn-commons >= 3.7.0
BuildRequires: eclipse-mylyn-context >= 3.7.0
BuildRequires: jsoup
Requires: eclipse-mylyn >= 3.7.0
Requires: eclipse-mylyn-commons >= 3.7.0


%description
Enables parsing and display of lightweight markup (wiki text).
Extends the Eclipse Mylyn task editor to create a markup-aware editor.


# eclips-mylyn-docs-wikitext

%package wikitext
Summary: Mylyn WikiText
Requires: eclipse-platform >= 1:3.8.0
Requires: eclipse-mylyn >= 3.7.0
Requires: eclipse-mylyn-commons >= 3.7.0
Requires: eclipse-mylyn-context >= 3.7.0
Requires: jsoup
Provides: eclipse-mylyn-wikitext = %{version}-%{release}
Obsoletes: eclipse-mylyn-wikitext < %{version}-%{release}
Group: Development/Tools

%description wikitext
Enables parsing and display of lightweight markup (wiki text).


# eclips-mylyn-docs-htmltext

%package htmltext
Summary: Mylyn HtmlText
Requires: eclipse-platform >= 1:3.8.0
Group: Development/Tools

%description htmltext
Enables editing of HTML text.


%prep
%setup -q -n R_3_7_0
rm -rf orbitDeps
mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/jsoup.jar
popd

%patch0

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.wikitext_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -d "mylyn mylyn-commons mylyn-context"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.htmltext \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar


%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn-docs-wikitext
install -d -m 755 %{buildroot}%{install_loc}/mylyn-docs-htmltext

unzip -q -o -d %{buildroot}%{install_loc}/mylyn-docs-wikitext \
 build/rpmBuild/org.eclipse.mylyn.wikitext_feature.zip
unzip -q -o -d %{buildroot}%{install_loc}/mylyn-docs-htmltext \
 build/rpmBuild/org.eclipse.mylyn.htmltext.zip

pushd %{buildroot}%{install_loc}/mylyn-docs-wikitext/eclipse/plugins
ln -s %{_javadir}/jsoup.jar
popd

# eclips-mylyn-docs-wikitext

%files wikitext
%{install_loc}/mylyn-docs-wikitext
%doc org.eclipse.mylyn.wikitext-feature/epl-v10.html
%doc org.eclipse.mylyn.wikitext-feature/license.html


# eclips-mylyn-docs-htmltext

%files htmltext
%{install_loc}/mylyn-docs-htmltext
%doc org.eclipse.mylyn.htmltext-feature/epl-v10.html
%doc org.eclipse.mylyn.htmltext-feature/license.html


%changelog
* Tue Mar 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-1
- Update to upstream 3.7.0 release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Andrew Robinson <arobinso@redhat.com> 3.6.4-1
- Update to upstream 3.6.4 release.

* Mon Oct 31 2011 Andrew Robinson <arobinso@redhat.com> 3.6.3-1
- Update to upstream 3.6.3 release.

* Wed Oct 12 2011 Andrew Robinson <arobinso@redhat.com> 3.6.2-1
- Update to upstream 3.6.2.

* Wed Jul 13 2011 Minoo Ziaei <mziaei@redhat.com> 3.6.0-1
- Update to upstream 3.6.0.

* Wed Apr 27 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.1-1
- Update to upstream 3.5.1.

* Wed Apr 27 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-3
- Add missing BR/R for wikitext (eclipse-mylyn-context).

* Thu Apr 21 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-2
- Also build htmltext package.

* Wed Apr 20 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-1
- Introducing eclipse-mylyn-docs. This is due to the Mylyn
  3.5.0 restructuring. eclipse-mylyn-wikitext is now
  provided by this SRPM.
